use strict;
use warnings;
use inc::Module::Install;

name 'Task-Moose';
all_from 'lib/Task/Moose.pm';
license 'perl';

requires 'Moose' => 0;

feature 'Autoboxing',
    -default         => 1,
    'Moose::Autobox' => 0;
  
feature 'Moose::Policy',
    -default        => 1,  
    'Moose::Policy' => 0;

feature 'Extending Moose attributes',
    -default                                 => 1,
    'MooseX::AttributeHelpers'               => 0,
    'MooseX::ClassAttribute'                 => 0,
    'MooseX::Policy::SemiAffordanceAccessor' => 0;

feature 'Moose-ish method parameter handling',
    -default                   => 1,
    'MooseX::Params::Validate' => 0,
    'MooseX::Method'           => 0;

feature 'Extending Moose classes',
    -default                    => 1,
    'MooseX::StrictConstructor' => 0;
    
feature 'Alternate Moose instance types',
    -default                  => 1,
    'MooseX::GlobRef::Object' => 0,
    'MooseX::InsideOut'       => 0;

feature 'Patterns in Moose',
    -default                    => 1,
    'MooseX::Param'             => 0,
    'MooseX::Singleton'         => 0,
    'MooseX::Iterator'          => 0,
    'MooseX::Object::Pluggable' => 0;

feature 'Moose type extensions',
    -default                     => 1,
    'MooseX::Types'              => 0,
    'MooseX::Types::Path::Class' => 0,
    'MooseX::Types::Set::Object' => 0,
    'MooseX::Timestamp'          => 0;

feature 'Moose serialization',
    -default          => 1,
    'MooseX::Storage' => 0;

feature 'Better script writing with Moose',
    -default                  => 1,
    'MooseX::Getopt'          => 0,
    'MooseX::ConfigFromFile'  => 0,
    'MooseX::SimpleConfig'    => 0,
    'MooseX::LogDispatch'     => 0,
    'MooseX::LazyLogDispatch' => 0,
    'MooseX::App::Cmd'        => 0,
    'MooseX::Daemonize'       => 0,
    'MooseX::Role::Cmd'       => 0;

feature 'Async Mooses',
    -default          => 1,
    'MooseX::Async'   => 0,
    'MooseX::POE'     => 0,
    'MooseX::Workers' => 0;

feature 'Moose Compiler tools',
    -default               => 1,
    'MooseX::Compile'      => 0,
    'MooseX::Compile::CLI' => 0;

feature 'Moose support tools',
    -default               => 1,
    'Pod::Coverage::Moose' => 0;

auto_install;
WriteAll;

